Subject: Re: bug#37248: GNOME and Icecat problems

From: Jack Hill <[email-masked]>
Date: Tue, 3 Sep 2019 13:20:56 -0400 (EDT)

On Mon, 2 Sep 2019, Jonathan Lane wrote:

> I got a very similar error message on the gnome-tweaks part of my bug
> report, and it can be considered a duplicate of that issue.
>
> $ gnome-tweaks
>
> ** (..gnome-tweaks-real-real:2189): WARNING **: 11:47:39.372: Failed to load shared library 'libsoup-2.4.so.1' referenced by the typelib: libsoup-2.4.so.1: cannot open shared object file: No such file or directory
> WARNING : Error detecting shell
> Traceback (most recent call last):
>  File "/gnu/store/mclwkx5n56ki3fqp1rnwxnwvg2nk8s8j-gnome-tweaks-3.28.1/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_shell_extensions.py", line 219, in __init__
>    ego = ExtensionsDotGnomeDotOrg(version)
>  File "/gnu/store/mclwkx5n56ki3fqp1rnwxnwvg2nk8s8j-gnome-tweaks-3.28.1/lib/python3.7/site-packages/gtweak/egowrapper.py", line 25, in __init__
>    self._session = Soup.Session.new()
> GLib.GError: g-invoke-error-quark: Could not locate soup_session_new: libsoup-2.4.so.1: cannot open shared object file: No such file or directory (1)
> WARNING : Error detecting shell
> Traceback (most recent call last):
>  File "/gnu/store/mclwkx5n56ki3fqp1rnwxnwvg2nk8s8j-gnome-tweaks-3.28.1/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_shell_extensions.py", line 53, in __init__
>    self._swInfo = Gio.DesktopAppInfo.new("org.gnome.Software.desktop")
> TypeError: constructor returned NULL
> $

Okay. I think I'll go ahead and merge these issues then.

> The lack of a package for the native connector for IceCat and the lack
> of 68.0ESR packaging for IceCat are still a problem.

Can you open an issue for each of these items?

Personally, I'd rather install the GNOME extensions I want from Guix 
packages rather than from extentions.gnome.org via a browser add-on, but it 
would be great to have either method work.

I expect that the people who work on our icecat package (e.g. Mark Weaver) 
are already aware of 68, but a report won't hurt.

All the best,
Jack